﻿
## Installation d'un serveur de temps

L'horloge du serveur doit être exacte, et pour cela, nous nous référons à un serveur de temps. Le programme qui se connecte et met à jour l'horloge de notre serveur sera **ntp**.

```shell
root@atom:/home/ericadmin# apt install ntp
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
The following additional packages will be installed:
  libopts25
Paquets suggérés :
  ntp-doc
Les NOUVEAUX paquets suivants seront installés :
  libopts25 ntp
0 mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 689 ko dans les archives.
Après cette opération, 2 035 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://deb.debian.org/debian stretch/main i386 libopts25 i386 1:5.18.12-3 [71,6 kB]
Réception de:2 http://deb.debian.org/debian stretch/main i386 ntp i386 1:4.2.8p10+dfsg-3+deb9u1 [617 kB]
689 ko réceptionnés en 0s (3 368 ko/s)
Sélection du paquet libopts25:i386 précédemment désélectionné.
(Lecture de la base de données... 31885 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libopts25_1%3a5.18.12-3_i386.deb ...
Dépaquetage de libopts25:i386 (1:5.18.12-3) ...
Sélection du paquet ntp précédemment désélectionné.
Préparation du dépaquetage de .../ntp_1%3a4.2.8p10+dfsg-3+deb9u1_i386.deb ...
Dépaquetage de ntp (1:4.2.8p10+dfsg-3+deb9u1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-11+deb9u1) ...
Traitement des actions différées (« triggers ») pour systemd (232-25+deb9u1) ...
Paramétrage de libopts25:i386 (1:5.18.12-3) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...
Paramétrage de ntp (1:4.2.8p10+dfsg-3+deb9u1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-11+deb9u1) ...
Traitement des actions différées (« triggers ») pour systemd (232-25+deb9u1) ...
```

### Test du serveur de temps

2 commandes permettent de vérifier l'état de **ntp**:

> ntpq -p
timedatectl

Voilà le résultat de ces commandes sur mon serveur:

```shell
root@atom:/home/ericadmin# ntpq -p
     remote           refid      st t when poll reach   delay   offset  jitter
==============================================================================
 0.debian.pool.n .POOL.          16 p    -   64    0    0.000    0.000   0.004
 1.debian.pool.n .POOL.          16 p    -   64    0    0.000    0.000   0.004
 2.debian.pool.n .POOL.          16 p    -   64    0    0.000    0.000   0.004
 3.debian.pool.n .POOL.          16 p    -   64    0    0.000    0.000   0.004
-dev2.pik.ba     213.251.128.249  2 u   93  128  377   13.413    0.144   0.177
-ks3352891.kimsu 138.96.64.10     2 u  174  256  377   14.022    2.951   0.157
+www.mindstudios 193.79.237.14    2 u  108  128  377   11.008    0.594   0.134
-gofish.zenvps.c 193.52.184.106   2 u  180  256  377   13.865    0.770   0.094
*ip139.ip-5-196- 145.238.203.14   2 u    4  128  377   13.264    0.636   0.218
+leeto.nicolbola 145.238.203.14   2 u   97  128  377   10.257   -0.871   0.312


root@atom:/home/ericadmin# timedatectl
      Local time: lun. 2017-12-25 12:17:33 CET
  Universal time: lun. 2017-12-25 11:17:33 UTC
        RTC time: lun. 2017-12-25 11:17:33
       Time zone: Europe/Paris (CET, +0100)
 Network time on: yes
NTP synchronized: yes
 RTC in local TZ: no
root@atom:/home/ericadmin#
```

  Nous pouvons voir les serveurs connectés et l'état de la synchronisation.

Si la dernière commande renvoie: **Network time on: No**, vous pouvez essayer de configurer le service **systemd** de la façon suivante:

```shell
# vim /etc/systemd/timesyncd.conf
```

Et ajoutez la ligne suivante:

```shell
[Time]
Servers=0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
```

Sauvez le fichier et testez la configuration de la façon suivante:

```shell
# timedatectl set-ntp true
# timedatectl status
```

Vous devez retrouver: **Network time on: Yes**
